IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[SPUSS_501_ERISKIN_YOGUN_BAKIM_SKORU_KAYIT]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE SPUSS_501_ERISKIN_YOGUN_BAKIM_SKORU_KAYIT
GO

CREATE PROCEDURE [dbo].[SPUSS_501_ERISKIN_YOGUN_BAKIM_SKORU_KAYIT] 
	@HDOSYAID INT=0,
	@HMUAYENEID INT=0,
	@TUMUNUTEKRAR BIT = 0
	 	 
AS
BEGIN
	--SPUSS_501_ERISKIN_YOGUN_BAKIM_SKORU_KAYIT 165788,115370,1
	DECLARE @HATA NVARCHAR(2000) = ''
	DECLARE @MESAJ NVARCHAR(2000) = ''
	DECLARE @SAYIHATA BIT = 0
	DECLARE @XMLBASLIK NVARCHAR(2000) = ''
	DECLARE @SUBEID INT = 1
	DECLARE @goNDERIMTABLOSU TABLE 
		(
			goNDERILECEKXML XML,
			HATA NVARCHAR(2000),
			MESAJ NVARCHAR(2000),	
			XMLBASLIK NVARCHAR(3500),
			TABLOID INT,
			MINID INT,
			MAXID INT
		)
	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER


SELECT 

(SELECT TOP 1 ICDKOD FROM HDOSYAICD WHERE HDOSYAICD.HDOSYAID=HDOSYA.HDOSYAID ORDER BY ANATANI DESC) AS YOGUN_BAKIM_YATIS_TANISI_ID,
(SELECT TOP 1 (SELECT TICD.ICDADI FROM TICD WHERE TICD.ICDKOD=HDOSYAICD.ICDKOD) FROM HDOSYAICD WHERE HDOSYAICD.HDOSYAID=HDOSYA.HDOSYAID ORDER BY ANATANI DESC) AS YOGUN_BAKIM_YATIS_TANISI_ADI,

(SELECT TOP 1 ICDKOD FROM HDOSYAICD WHERE HDOSYAICD.HDOSYAID=HDOSYA.HDOSYAID ORDER BY ANATANI DESC) BIRLIKTE_GORULEN_EK_HASTALIKLAR_KODU,
(SELECT TOP 1 (SELECT TICD.ICDADI FROM TICD WHERE TICD.ICDKOD=HDOSYAICD.ICDKOD) FROM HDOSYAICD WHERE HDOSYAICD.HDOSYAID=HDOSYA.HDOSYAID ORDER BY ANATANI DESC) BIRLIKTE_GORULEN_EK_HASTALIKLAR_ADI

      ,HDOSYA.SUBEID HDOSYA_SUBEID
	  ,SUBELER.SUBEADI SUBELER_SUBEADI
	  ,HDOSYA.SNOTAKIPNO HDOSYA_SNOTAKIPNO
	  ,		 ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Yenidoğanların Kimliksiz fatura edilebilir gün sayısı'),'') 	AS SAGLIKNETKIMLIKSIZYENIDOGANGUN,

		CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'10000038' 
		ELSE
			ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaralı şubenin kurum numarası'),'') 
		END AS SAGLIKNETKURUMKODU,

			CASE WHEN (SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND /* VALUESTR='1' AND*/ KEYNAME LIKE CONVERT(VARCHAR,HDOSYA.SUBEID)+' numaral% %ubede Sa%l%k Net Online test modu aktif')='1' THEN
			'3bc26a7d-4a19-4edf-ab9f-1413ac85e7d0' /*TEST KTS FİRMA KODU*/
		ELSE
			'C740D0288ED4C45FE0407C0A04162BDD'  /*KTS TALYA*/ 
		END AS SNOKTSFIRMAKODU,

		ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WITH(NOLOCK) WHERE SECTIONSTR='Saglik-Net' AND PROGNAME='MEDISOFT' AND KEYNAME= CONVERT(VARCHAR,HDOSYA.SUBEID)+' numarali subede Hasta kayıt gönderiminde referans no ön Karakteri'),'') AS REFNOONEK,
		
			HYBBYS.HYBBYSID AS USSDIGER_ID,			
			HYBBYS.HYATISID AS HYBBYS_HYATISID,		
			HYBBYS.HDOSYAID AS HYBBYS_HDOSYAID, 
			HYBBYS.TARIH AS HYBBYS_TARIH,
			HYBBYS.ISLEMREFERANSNUMARASI AS HYBBYS_ISLEMREFERANSNUMARASI,
			HYBBYS.ACTBALANSDEGERI AS HYBBYS_ACTBALANSDEGERI, 
			HYBBYS.AKIDURUMU AS HYBBYS_AKIDURUMU, 
			HYBBYS.ALKOLOZDURUMU AS HYBBYS_ALKOLOZDURUMU,			
			HYBBYS.ARDSGELISMEDURUMU AS HYBBYS_ARDSGELISMEDURUMU,		    
			HYBBYS.ASIDOZDURUMU AS HYBBYS_ASIDOZDURUMU, 
			HYBBYS.BESLENMEBILGISI AS HYBBYS_BESLENMEBILGISI, 
			HYBBYS.BESLENMEBILGISIID AS HYBBYS_BESLENMEBILGIID,
			HYATIS.HYYATISTARIH AS HYATIS_HYYATISTARIH, 
			HYBBYS.APACHESKORU AS HYBBYS_APACHESKORU, 
			HYBBYS.APACHEBEKLENENOLUMORANI AS HYBBYS_APACHEBEKLENENOLUMORANI, 
			HYBBYS.APACHEBEKLENENOLUMORANIDUZELTILMIS AS HYBBYS_APACHEBEKLENENOLUMORANIDUZELTILMIS, 
			HYBBYS.APACHEOLCUMZAMANI AS HYBBYS_APACHEOLCUMZAMANI, 
			HYBBYS.GLASKOWGOZLER AS HYBBYS_GLASKOWGOZLER, 
			HYBBYS.GLASKOWMOTOR AS HYBBYS_GLASKOWMOTOR, 
			HYBBYS.GLASKOWSOZEL AS HYBBYS_GLASKOWSOZEL, 
            HYBBYS.DEKUBITULSERISKORLAMATURU AS HYBBYS_DEKUBITULSERISKORLAMATURU ,
			HYBBYS.DEKUBITULSERISKORSONUCU AS HYBBYS_DEKUBITULSERISKORLAMASONUCU,
			HYBBYS.DKB  AS HYBBYS_DKB,
			HYBBYS.DRENBILGISI AS HYBBYS_DRENBILGISI,
			HYBBYS.DRENVARLIGI AS HYBBYS_DRENVARLIGI,
			HYBBYS.DUSMERISKI AS HYBBYS_DUSMERISKI,
			HYBBYS.ENFEKTEOLMADURUMBILGISI AS HYBBYS_ENFEKTEOLMADURUM ,
			HYBBYS.ECMOIHTIYACI AS HYBBYS_ECMOIHTIYACI,
			HYBBYS.FIOIIDEGERI AS HYBBYS_FIOIIDEGERI,
			HYBBYS.FREKANSDEGERI AS HYBBYS_FREKANSDEGERI,
			HYBBYS.GONDERILDI AS HYBBYS_GONDERILDI,
			HYBBYS.HAVALIHASTAYATAKDURUMU AS HYBBYS_HAVALIHASTAYATAK,
			HYBBYS.HEMODIYALIZIHTIYACI AS HYBBYS_HEMODIYALIZIHTIYACI,
			dbo.TKANGRUBU.SKRSKANGRUBUID AS HYBBYS_HKANGRUBUID,
			HYBBYS.KANGAZIHCOIII AS HYBBYS_KANGAZIHCOIII,
			HYBBYS.IBPDIASTOLIK AS HYBBYS_IBPDIASTOLIK,
			HYBBYS.IBPSISTOLIK AS HYBBYS_IBPSISTOLIK,
			HYBBYS.KANGAZIGLUKOZ AS HYBBYS_KANGAZIGLUKOZ,
			HYBBYS.KANGAZILAKTAT AS HYBBYS_KANGAZILAKTAT,
			HYBBYS.KANGAZIPACOII AS HYBBYS_KANGAZIPACOII,
			HYBBYS.KANGAZIPAOII AS HYBBYS_KANGAZIPAOII,
			HYBBYS.KANGAZIPH AS HYBBYS_KANGAZIPH,
			HYBBYS.KATATERBILGISI AS HYBBYS_KATATERBILGISI,
			HYBBYS.NABIZ AS HYBBYS_NABIZ,
			HYBBYS.PEEPDEGERI AS HYBBYS_PEEPDEGERI,
			HYBBYS.SANTRALVENOZBASINC AS HYBBYS_SANTRALVENOZBASINC,
			HYBBYS.SAPSIIBEKLENENOLUMORANI AS HYBBYS_SAPSIIBEKLENENOLUMORANI,
			HYBBYS.SAPSIIGENISLETILMIS AS HYBBYS_SAPSIIGENISLETILMIS,
			HYBBYS.SAPSIIOLCUMZAMANI AS HYBBYS_SAPSIIOLCUMZAMANI,
			HYBBYS.SAPSIISKORU AS HYBBYS_SAPSIISKORU,
			HYBBYS.SEPSISDURUMU AS HYBBYS_SEPSISDURUMU,
			HYBBYS.SEPTIKSOK AS HYBBYS_SEPTIKSOK,
			HYBBYS.SKB AS HYBBYS_SKB,
			HYBBYS.SNOTAKIPNO  AS HYBBYS_SNOTAKIPNO,
			HYBBYS.SOFABEKLENENOLUMORANI AS HYBBYS_SOFABEKLENENOLUMORANI,
			HYBBYS.SOFAOLCUMZAMANI AS HYBBYS_SOFAOLCUMZAMANI,
			HYBBYS.SOFASKORU AS HYBBYS_SOFASKORU,
			HYBBYS.SPOIIDEGERI AS HYBBYS_SPOIIDEGERI,
			HYBBYS.TEPEBASINCDEGERI AS HYBBYS_TEPEBASINCDEGERI,
			HYBBYS.TIDALVOLUMDEGERI AS HYBBYS_TIDALVOLUMDEGERI,
			HYBBYS.VENTILASYONBASLANGICZAMANI AS HYBBYS_VENTILASYONBASLANGICZAMANI,
			HYBBYS.VENTILASYONBITISZAMANI AS HYBBYS_VENTILASYONBITISZAMANI,
			HYBBYS.VENTILASYONDURUMU AS HYBBYS_VENTILASYONDURUMU,
			HYBBYS.VENTILASYONYONTEMI AS HYBBYS_VENTILASYONYONTEMI,
			HYBBYS.VENTILATORILISKILIPNOMONIVARLIGI AS HYBBYS_VENTILATORILISKILIPNOMONIVARLIGI,
			HYBBYS.VENTILATORMODU AS HYBBYS_VENTILATORMODU,
			HYBBYS.VUCUTISISI AS HYBBYS_VUCUTISISI,
			HYBBYS.YATAKBASIYARASIVARLIGI AS HYBBYS_YATAKBASIYARASIVARLIGI,
			HYBBYS.YBCIKISZAMANI AS HYBBYS_YBCIKISZAMANI,
			HYBBYS.YBGIRISZAMANI AS HYBBYS_YBGIRISZAMANI,
			HYBBYS.YBUNITEADI AS HYBBYS_YBUNITEADI,
			HYBBYS.YBUNITEID AS HYBBYS_YBUNITEID,
			HYBBYS.YBUNITESISEVIYESI  AS HYBBYS_YBUNITESISEVIYESI,
			TKANGRUBU.KANGRUBU AS TKANGRUBU_KANGRUBU,
			TDEKUBIT.DEKUBITULSERISKORLAMATURUADI AS DEKUBITSKORLAMATURUADI,
			TSKRSVENTILASYONYONTEMI.VENTILASYONYONTEMIADI AS  VENTILASYONYONTEMIADI,
			TSKRSVENTILATORMODU.VENTILATORMODUADI AS VENTILATORMODUADI,
			TSKRSBESLENME.BESLENMEADI AS BESLENMEADI,
			TSKRSKATATERBILGISI.KATATERBILGISIADI AS KATATERBILGISIADI,
			TKLINIK.KLINIKADI AS YBUNITEADI,
			TSKRSDRENBILGISI.DRENADI AS DRENADI,
			HYBBYS.CASUS_BEKLENEN_OLUM_ORANI AS HYBBYS_CASUS_BEKLENEN_OLUM_ORANI,
			HYBBYS.CASUS_OLCUM_ZAMANI AS HYBBYS_CASUS_OLCUM_ZAMANI,
			HYBBYS.CASUS_SKORU AS HYBBYS_CASUS_SKORU,
			HYATIS.BASAMAK AS YOGUN_BAKIM_SEVIYE_BILGISI,
			HYATIS.HYYATISTIPI AS HYATIS_HASTATIPI


INTO #TMPUSSDIGER 

FROM HYATIS
	INNER JOIN HYBBYS ON HYBBYS.HYATISID = HYATIS.HYATISID
    INNER JOIN HDOSYA ON HDOSYA.HDOSYAID=HYATIS.HDOSYAID
	LEFT JOIN dbo.TKANGRUBU ON HYBBYS.HKANGRUBUID = dbo.TKANGRUBU.KANGRUBUID
	LEFT JOIN TSKRSKATATERBILGISI ON HYBBYS.KATATERBILGISI = TSKRSKATATERBILGISI.KATATERBILGISIKODU
	LEFT JOIN TSKRSBESLENME ON HYBBYS.BESLENMEBILGISI = TSKRSBESLENME.BESLENMEKODU
	LEFT JOIN TSKRSDEKUBITULSERISKORLAMATURU TDEKUBIT ON HYBBYS.DEKUBITULSERISKORLAMATURU = TDEKUBIT.DEKUBITULSERISKORLAMATURUKODU
	LEFT JOIN TSKRSVENTILASYONYONTEMI ON HYBBYS.VENTILASYONYONTEMI = TSKRSVENTILASYONYONTEMI.VENTILASYONYONTEMIKODU
    LEFT JOIN TSKRSVENTILATORMODU ON HYBBYS.VENTILATORMODU = TSKRSVENTILATORMODU.VENTILATORMODUKODU	
	LEFT JOIN TKLINIK ON HYBBYS.YBUNITEID = TKLINIK.KLINIKKODU		
    LEFT JOIN TSKRSDRENBILGISI ON HYBBYS.DRENBILGISI = TSKRSDRENBILGISI.DRENKODU
	LEFT JOIN SUBELER ON SUBELER.SUBEID=HDOSYA.SUBEID


WHERE  HYATIS.HDOSYAID = @HDOSYAID 


	IF (SELECT COUNT(*) FROM #TMPUSSDIGER) = 0 
	BEGIN
		SET @SAYIHATA = 1
		SET @MESAJ = @MESAJ + 'Gönderilecek kayıt bulunamadı! '
	END

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE HDOSYA_SUBEID IS NULL) > 0 
		SET @HATA = @HATA + 'dosyasının şube kaydı bulunamadı! '

	IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE ISNULL(HDOSYA_SNOTAKIPNO,'')='') > 0 
		SET @HATA = @HATA + 'Sağlık Net hasta takip numarası alınmadan USS sistemine kayIT yapılamaz. '

   	IF @HATA='' AND @SAYIHATA=0
	BEGIN		
		SELECT @SUBEID = HDOSYA_SUBEID FROM #TMPUSSDIGER
		DECLARE @TBLXMLBASLIK TABLE (XMLBASLIK NVARCHAR(2000), HATA NVARCHAR(2000),MESAJ NVARCHAR(2000))
		INSERT INTO @TBLXMLBASLIK (XMLBASLIK, HATA, MESAJ) EXEC SPUSS_000_XML_BASLIK @SUBEID		
		SELECT @HATA=HATA, @MESAJ=MESAJ, @XMLBASLIK=XMLBASLIK FROM @TBLXMLBASLIK		
	END



	IF @HATA='' AND @SAYIHATA=0
	BEGIN


		--HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
   		DECLARE @CURUSSDIGERID INT
		DECLARE CURUSSDIGER CURSOR FOR SELECT USSDIGER_ID FROM #TMPUSSDIGER
		OPEN CURUSSDIGER
		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID
		WHILE @@FETCH_STATUS =0
		BEGIN
		

	
					SET @HATA = ''
					SET @MESAJ = ''
					SET @SAYIHATA = 0

		
					 
					IF EXISTS(SELECT USSDIGER_ID FROM #TMPUSSDIGER WHERE  ISNULL(USSDIGER_ID,0)=0)
						SET @HATA = @HATA + ' ' + 'Kayıt seçilmemiş. '


					IF (SELECT COUNT(*) FROM #TMPUSSDIGER WHERE USSDIGER_ID=@CURUSSDIGERID) > 0
					BEGIN
						IF @HATA = '' AND @SAYIHATA=0
						BEGIN
							BEGIN TRY 
								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT							 
									(
									
										SELECT 
										   NEWID() AS 'messageGuid/@value',
										   '1' AS 'messageType/@version',
										   '0a9ba485-e7e0-4abb-9c86-0a14fd364bb8' as 'messageType/@codeSystemGuid',
										   '501' AS 'messageType/@code',
										   'Erişkin Yoğun Bakım Skoru' AS 'messageType/@value',
										   LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),GETDATE(),120),' ',''),'-',''),':',''),12) as 'documentGenerationTime/@value',
										   (
											  SELECT	
												 '1' AS 'healthcareProvider/@version',
												 'c3eade04-4f91-5dab-e043-14031b0ac9f9' as 'healthcareProvider/@codeSystemGuid',
												 SAGLIKNETKURUMKODU as 'healthcareProvider/@code',
												 SUBELER_SUBEADI as 'healthcareProvider/@value'  
												 FOR XML PATH('author'), TYPE),
												 --'C740D0288ED4C45FE0407C0A04162BDD' as 'firmaKodu/@value' ,
												 SNOKTSFIRMAKODU as 'firmaKodu/@value' ,
												 (
													SELECT 
														(
														   SELECT 
															  (
																 SELECT 
																   
																	--<YOGUN_BAKIM_SEVIYE_BILGISI version="1" codeSystemGuid="3c20a43e-74ee-4a04-9649-05359b5f9c5d" code="Code" value="YOGUN_BAKIM_SEVIYE_BILGISI" />
																	'1' AS 'YOGUN_BAKIM_SEVIYE_BILGISI/@version',
																	'3c20a43e-74ee-4a04-9649-05359b5f9c5d' AS 'YOGUN_BAKIM_SEVIYE_BILGISI/@codeSystemGuid',
																	ISNULL(YOGUN_BAKIM_SEVIYE_BILGISI,'') AS 'YOGUN_BAKIM_SEVIYE_BILGISI/@code',
																	CASE YOGUN_BAKIM_SEVIYE_BILGISI
																	WHEN 1 THEN '1. BASAMAK YOĞUN BAKIM'
																	WHEN 2 THEN '2. BASAMAK YOĞUN BAKIM'	
																	WHEN 3 THEN '3. BASAMAK YOĞUN BAKIM'												
																	ELSE ''
																	END AS 'YOGUN_BAKIM_SEVIYE_BILGISI/@value',

																	--<YOGUN_BAKIM_YATIS_TANISI version="1" codeSystemGuid="c3eaabad-8c4c-56ee-e043-14031b0a5530" code="Code" value="YOGUN_BAKIM_YATIS_TANISI" />
																	'1' AS 'YOGUN_BAKIM_YATIS_TANISI/@version',
																		'c3eaabad-8c4c-56ee-e043-14031b0a5530' AS 'YOGUN_BAKIM_YATIS_TANISI/@codeSystemGuid',
																		ISNULL(YOGUN_BAKIM_YATIS_TANISI_ID,'') AS 'YOGUN_BAKIM_YATIS_TANISI/@code',
																		ISNULL(YOGUN_BAKIM_YATIS_TANISI_ADI,'') AS 'YOGUN_BAKIM_YATIS_TANISI/@value',


																	--<KAYIT_YERI version="1" codeSystemGuid="c3eade04-4f91-5dab-e043-14031b0ac9f9" code="Code" value="KAYIT_YERI" />
																	'1' AS 'KAYIT_YERI/@version',
	 																'c3eade04-4f91-5dab-e043-14031b0ac9f9' AS 'KAYIT_YERI/@codeSystemGuid',
	 																SAGLIKNETKURUMKODU AS 'KAYIT_YERI/@code',
	 																ISNULL(SUBELER_SUBEADI, '') AS 'KAYIT_YERI/@value', 

																   -- <GLASGOW_SKALASI>
																   --  <GOZLER value="GOZLER" />
																   --  <SOZEL value="SOZEL" />
																   --  <MOTOR value="MOTOR" />
																   -- </GLASGOW_SKALASI>
																	 (SELECT 
																		HYBBYS_GLASKOWGOZLER AS 'GOZLER/@value',
																		HYBBYS_GLASKOWSOZEL  AS 'SOZEL/@value',
																		HYBBYS_GLASKOWMOTOR  AS 'MOTOR/@value'
																		WHERE HYATIS_HASTATIPI <> 3 																	
																	FOR XML PATH('GLASGOW_SKALASI'),TYPE),
																	(SELECT 
																		'' AS 'GOZLER/@value',
																		'' AS 'SOZEL/@value',
																		'' AS 'MOTOR/@value'
																		WHERE HYATIS_HASTATIPI = 3 																	
																	FOR XML PATH('GLASGOW_SKALASI'),TYPE),


																	--<APACHE_II_SKOR_BILGISI>
																		--<TOPLAM_APACHE_SKORU value="TOPLAM_APACHE_SKORU" />
																		--<BEKLENEN_OLUM_ORANI value="BEKLENEN_OLUM_ORANI" />
																		--<BEKLENEN_OLUM_ORANI_DUZELTILMIS value="BEKLENEN_OLUM_ORANI_DUZELTILMIS" />
																		--<OLCUM_ZAMANI value="OLCUM_ZAMANI" />
																	--</APACHE_II_SKOR_BILGISI>
																(SELECT 
																	ISNULL(HYBBYS_APACHESKORU, 0) AS 'TOPLAM_APACHE_SKORU/@value',
																	ISNULL(HYBBYS_APACHEBEKLENENOLUMORANI, 0) AS 'BEKLENEN_OLUM_ORANI/@value',
																	ISNULL(HYBBYS_APACHEBEKLENENOLUMORANIDUZELTILMIS, ISNULL(HYBBYS_APACHEBEKLENENOLUMORANI, 0)) AS 'BEKLENEN_OLUM_ORANI_DUZELTILMIS/@value',
																	ISNULL(LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),HYBBYS_APACHEOLCUMZAMANI,120),' ',''),'-',''),':',''),12),'') AS 'OLCUM_ZAMANI/@value'
																	WHERE HYATIS_HASTATIPI = 1 
																FOR XML PATH('APACHE_II_SKOR_BILGISI'),TYPE),


																	--<SAPS_II_SKOR_BILGISI>
																		--<BEKLENEN_OLUM_ORANI value="BEKLENEN_OLUM_ORANI" />
																		--<SAPS_II_SKORU value="SAPS_II_SKORU" />
																		--<SAPS_II_GENISLETILMIS value="SAPS_II_GENISLETILMIS" />
																		--<OLCUM_ZAMANI value="OLCUM_ZAMANI" />
																	--</SAPS_II_SKOR_BILGISI>
																(SELECT 
																    ISNULL(HYBBYS_SAPSIIBEKLENENOLUMORANI, 0) AS 'BEKLENEN_OLUM_ORANI/@value',
																	ISNULL(HYBBYS_SAPSIISKORU, 0) AS 'SAPS_II_SKORU/@value',
																	ISNULL(HYBBYS_SAPSIIGENISLETILMIS, 0) AS 'SAPS_II_GENISLETILMIS/@value',
																	ISNULL(LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),HYBBYS_SAPSIIOLCUMZAMANI,120),' ',''),'-',''),':',''),12),'') AS 'OLCUM_ZAMANI/@value'
																FOR XML PATH('SAPS_II_SKOR_BILGISI'),TYPE),


																	--<SOFA_SKOR_BILGISI>
																		--<SOFA_SKORU value="SOFA_SKORU" />
																		--<BEKLENEN_OLUM_ORANI value="BEKLENEN_OLUM_ORANI" />
																		--<OLCUM_ZAMANI value="OLCUM_ZAMANI" />
																	--</SOFA_SKOR_BILGISI>
																(SELECT 
																	ISNULL(HYBBYS_SOFASKORU, 0) AS 'SOFA_SKORU/@value',
																	ISNULL(HYBBYS_SOFABEKLENENOLUMORANI, 0) AS 'BEKLENEN_OLUM_ORANI/@value',
																	ISNULL(LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),HYBBYS_SOFAOLCUMZAMANI,120),' ',''),'-',''),':',''),12),'') AS 'OLCUM_ZAMANI/@value'
																	--WHERE HYATIS_HASTATIPI = 2
																FOR XML PATH('SOFA_SKOR_BILGISI'),TYPE),


																	--<CASUS_SKOR_BILGISI>
																		--<CASUS_SKORU value="CASUS_SKORU" />
																		--<BEKLENEN_OLUM_ORANI value="BEKLENEN_OLUM_ORANI" />
																		--<OLCUM_ZAMANI value="OLCUM_ZAMANI" />
																	--</CASUS_SKOR_BILGISI>
																(SELECT 
																	ISNULL(HYBBYS_CASUS_SKORU, 0) AS 'CASUS_SKORU/@value',
																	ISNULL(HYBBYS_CASUS_BEKLENEN_OLUM_ORANI, 0) AS 'BEKLENEN_OLUM_ORANI/@value',
																	ISNULL(LEFT(REPLACE(REPLACE(REPLACE(CONVERT(VARCHAR(19),HYBBYS_CASUS_OLCUM_ZAMANI,120),' ',''),'-',''),':',''),12),'') AS 'OLCUM_ZAMANI/@value'
																FOR XML PATH('CASUS_SKOR_BILGISI'),TYPE)
 		
																FROM #TMPUSSDIGER
																
																FOR XML PATH(''),TYPE
															)
														FOR XML PATH('ERISKIN_YOGUN_BAKIM_SKORU'),TYPE
													),					
													   (
														SELECT ISNULL(HDOSYA_SNOTAKIPNO, '' ) AS 'SYSTakipNo/@value'
														FOR XML PATH('HASTA_TAKIP_BILGISI'), TYPE 
													)							
												 FOR XML PATH('recordData'), TYPE
											  )
										   FROM #TMPUSSDIGER WITH(NOLOCK)
										   WHERE USSDIGER_ID = @CURUSSDIGERID
										FOR XML PATH (''), ROOT('SYSMessage')


									) AS goNDERILECEKXML,
									@HATA AS HATA, 
									@MESAJ AS MESAJ,
									@XMLBASLIK AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							END TRY
							BEGIN CATCH
								SET @HATA = ERROR_MESSAGE()
								IF @HATA = ''
									SET @HATA = 'Bilinmeyen bir hata oluştu'

								INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
								SELECT	'' AS goNDERILECEKXML,
										@HATA AS HATA, 
										@MESAJ AS MESAJ,
										'' AS XMLBASLIK,
										@CURUSSDIGERID AS TABLOID,
										0 AS MINID,
										0 AS MAXID
			

							END CATCH
						END
						ELSE
						BEGIN

							INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
							SELECT	'' AS goNDERILECEKXML,
									LEFT(@HATA,2000) AS HATA, 
									@MESAJ AS MESAJ,
									'' AS XMLBASLIK,
									@CURUSSDIGERID AS TABLOID,
									0 AS MINID,
									0 AS MAXID

							SET @HATA = ''		 
						END
					END




		FETCH NEXT FROM CURUSSDIGER INTO @CURUSSDIGERID 
		END --son HER TETKIK KARTI AYRI AYRI goNDER DONGUSU
	

		CLOSE CURUSSDIGER
		DEALLOCATE CURUSSDIGER

		IF (SELECT COUNT(*) FROM @GONDERIMTABLOSU)=0
			INSERT INTO @GONDERIMTABLOSU (GONDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
			SELECT	'' AS GONDERILECEKXML,
					'' AS HATA, 
					'Tüm KAYITLAR zaten gönderilmiş' AS MESAJ,
					'' AS XMLBASLIK,
					0 AS TABLOID,
					0 AS MINID,
					0 AS MAXID


	END
	ELSE
	BEGIN

		INSERT INTO @goNDERIMTABLOSU (goNDERILECEKXML,HATA,MESAJ,XMLBASLIK,TABLOID,MINID,MAXID)
		SELECT	'' AS goNDERILECEKXML,
				LEFT(@HATA,2000) AS HATA, 
				@MESAJ AS MESAJ,
				'' AS XMLBASLIK,
				@CURUSSDIGERID AS TABLOID,
				0 AS MINID,
				0 AS MAXID

		SET @HATA = ''		 
	END


	
	IF OBJECT_ID('tempdb..#TMPUSSDIGER') IS NOT NULL 
	DROP TABLE #TMPUSSDIGER

	

	SELECT * FROM @goNDERIMTABLOSU


END
